Name:		bio2jack
Version:	0.9
Release:	26%{?dist}
# The license file says GPLv2+ but the source files say LGPLv2+.
# The author of the software confirmed (via email) that it is 
# actually LGPLv2+.
License:	LGPLv2+
Summary:	A library for porting blocked io(OSS/ALSA) applications to jack
URL:		http://bio2jack.sourceforge.net/

Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  gettext
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libtool autoconf automake
BuildRequires: make

%description
Bio (blocked i/o) 2 jack is a library for enabling easy porting of blocked
io(OSS/ALSA) applications to the jack sound server. This library allows the 
person porting the code to simply replace the calls into OSS/ALSA with calls
into interface functions of this library. The library buffers a small amount of
audio data and takes care of the rest of the jack implementation including the
linked list of audio data buffers and the jack callback.


%package devel
Summary:	Development files for %{name}
Requires:	jack-audio-connection-kit-devel
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.


%prep
%setup -q -n %{name}

# Remove precompiled binaries:
rm -fr .libs *.o

# Screws up the build if left alive
rm -f *.lo


%build
autoreconf -vif
%configure --enable-static=no --enable-shared=yes

make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}

# Kill libtool archive
find %{buildroot} -type f -name "*.la" -delete


%ldconfig_scriptlets

%files
%doc AUTHORS ChangeLog README NEWS
%{_libdir}/lib%{name}.so.*

%files devel
%{_bindir}/%{name}-config
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

%changelog
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-25
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.9-12
- Fix FTBFS, cleanup and modernise spec

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb 13 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9-5
- Remove .lo file prior to build. Fixes RHBZ#564695

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 16 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9-3
- add disttag

* Thu Mar 12 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9-2
- License is LGPLv2+. Don't package the wrong COPYING file

* Thu Mar 05 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9-1
- initial Fedora build (SPEC file borrowed from SuSE)

* Mon May 07 2007 Toni Graffy <toni@links2linux.de> - 0.9-0.pm.1
- initial build 0.9
